# 32/64bit spec-file
#
%define name 		mountiso
%define origname 	mount-iso
%define content		108042
%define version 	1.4.1
%define release     	%mkrel 6
%define group 		Graphical desktop/KDE4
%define arch 		noarch


Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		%{group}
Summary: 	MountISO - ISO Imager Mounter
Summary(de):	MountISO - Ein ISO-Image mount Servicemenü
Source0: 	%{content}-%{origname}%{version}.tar.xz 
Url: 		http://www.kde-apps.org/content/show.php/MountISO?content=11577
BuildRoot: 	%{_tmppath}/%{origname}-%{version}-buildroot
BuildArch: 	%{arch}
Obsoletes:	%{origname}
Requires:	kde-baseapps-dolphin


%description
Mount ISO Image is an advanced script which allows to perform multiple operations
with ISO, NRG (Nero Burning ROM), UDF (DVD), CUE/BIN, CCD/IMG/SUB (CloneCD),
XDVDFS (XBOX) and MDF images.

Optionally can be installed the packages “ccd2iso, cdemu and extract-xiso”.

%description -l de
MountISO ist ein Servicemenü-Script, das mehrfache operation mit ISO-, NRG
(Nero, Burning ROM brennt), UDF (DVD), CUE/BIN, CCD/IMG/SUB (CloneCD), XDVDFS
(XBOX) und MDF Images durchführen kann.

Optional könenn die Pakete "ccd2iso,cdemu und extract-xiso" installiert werden.


%prep
%setup -q -n %{origname}
%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 0755 %buildroot%_bindir
install -m 0755 $RPM_BUILD_DIR/%{origname}/src/%{name}.sh %buildroot%_bindir/%{name}.sh

install -d -m 0755 %buildroot%_datadir/kde4/services/ServiceMenus
install -m 0644 $RPM_BUILD_DIR/%{origname}/src/%{name}4-ccd.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}4-ccd.desktop
install -m 0644 $RPM_BUILD_DIR/%{origname}/src/%{name}4-cue.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}4-cue.desktop
install -m 0644 $RPM_BUILD_DIR/%{origname}/src/%{name}4-dir.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}4-dir.desktop
install -m 0644 $RPM_BUILD_DIR/%{origname}/src/%{name}4-grb.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}4-grb.desktop
install -m 0644 $RPM_BUILD_DIR/%{origname}/src/%{name}4-mdf.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}4-mdf.desktop
install -m 0644 $RPM_BUILD_DIR/%{origname}/src/%{name}4-nrg.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}4-nrg.desktop
install -m 0644 $RPM_BUILD_DIR/%{origname}/src/%{name}4.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}4.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/mountiso.sh
%{_datadir}/kde4/services/ServiceMenus/*.desktop
%doc COPYING README

%changelog
* Wed Feb 06 2013 pinoc <vogtpet at gmail.com> 1.4.1-6pclos2013
- rebuild on kde 495 and 64bit

* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 1.4.1-5pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.4.1-5_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.4.1-3pclo2010
- remove suggest in specfile
- rebuild for 4.5.1

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 1.4.1-2pclo2010
- remove suggest in specfile

* Wed May 19 2010 leiche <meisssw01 at aol.com> 1.4.1-1pclos2010
- import to kde4
- update 1.4.1

* Sat Mar 22 2008 maik3531 <maik3531@web.de> 0.9.5-1pclos2007
- rebuild to PCLinuxOS
- provide a new Source0
- add description -l de & summary de



